Page MenuHomePhabricator

set $wgMaxRedirects = 2 on dewiki
Closed, DeclinedPublicFeature

Description

Please set $wgMaxRedirects = 2 on dewiki. This allows to use redirects to redirects as a semantic stylistic element.

[[de:Bonnie und Clyde]]
|
+--[[de:Bonnie Parker]]
|  |
|  +--[[de:Bonnie Elizabeth Parker]]
|
+--[[de:Clyde Barrow]]
   |
   +--[[de:Clyde Chestnut Barrow]]

The redirects Bonnie Parker and Clyde Barrow describe separate items and should marked with __STATICREDIRECT__.


Version: wmf-deployment
Severity: enhancement

See also: T67064 - Increase $wgMaxRedirects on enwiki

Details

Reference
bz63388

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:05 AM
bzimport set Reference to bz63388.

Someone should test the setting still works. It was broken a while back, but then it got fixed (I think), need to double check it isn't re-broken.

Are you thinking of bug 30359?

Related: Bug 65064 - Increase $wgMaxRedirects on enwiki

Change 154720 had a related patch set uploaded by John F. Lewis:
Change wgMaxRedirects for enwiki and dewiki

https://gerrit.wikimedia.org/r/154720

Fomafix set Security to None.
Dereckson added a subscriber: Legoktm.

@Fomafix: independently of the question if the setting works or is broken, @Legoktm raises the issue of the community discussion. Could you give us a link to the discussion on de. about this change?

Mdann52 changed the task status from Open to Stalled.Jan 3 2016, 7:53 PM
Mdann52 added a subscriber: Mdann52.

Tested on mw 1.26.2, and this does not work with the current config - will set a blocking task.

Both https://gerrit.wikimedia.org/r/#/c/154720/ and https://gerrit.wikimedia.org/r/#/c/296520/ have been abandoned.

@Mdann52: I am resetting the assignee of this task because there has not been progress lately (please correct me if I am wrong!). Resetting the assignee avoids the impression that somebody is already working on this task. It also allows others to potentially work towards fixing this task. Please claim this task again when you plan to work on it (via Add Action...Assign / Claim in the dropdown menu) - it would be welcome. Thanks for your understanding!

Aklapper changed the subtype of this task from "Task" to "Feature Request".Feb 4 2022, 12:23 PM
Krinkle added subscribers: daniel, Krinkle.

As per T122771: $wgMaxRedirects does not appear to work as intended and others:

Probably best to just kill the feature, see T296430. Implementing it properly would need quite a bit of effort.